Index: branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComDataCU.cpp
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComDataCU.cpp	(revision 1184)
+++ branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComDataCU.cpp	(revision 1185)
@@ -60,12 +60,7 @@
   
   m_skipFlag           = NULL;
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
   m_bDISFlag           = NULL;
   m_uiDISType          = NULL;
-#else
-#if H_3D_SINGLE_DEPTH
-  m_singleDepthFlag     = NULL;
-  m_apSingleDepthValue  = NULL;
-#endif
 #endif
   m_pePartSize         = NULL;
@@ -186,12 +181,7 @@
 
     m_skipFlag           = new Bool[ uiNumPartition ];
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
     m_bDISFlag           = new Bool[ uiNumPartition ];
     m_uiDISType          = (UInt*)xMalloc(UInt, uiNumPartition);
-#else
-#if H_3D_SINGLE_DEPTH
-    m_singleDepthFlag     = new Bool[ uiNumPartition ];
-    m_apSingleDepthValue  = (Pel*)xMalloc(Pel, uiNumPartition);
-#endif
 #endif
     m_pePartSize         = new Char[ uiNumPartition ];
@@ -337,12 +327,7 @@
 
     if ( m_skipFlag           ) { delete[] m_skipFlag;          m_skipFlag          = NULL; }
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
     if ( m_bDISFlag           ) { delete[] m_bDISFlag;   m_bDISFlag     = NULL; }
     if ( m_uiDISType         ) { xFree(m_uiDISType);  m_uiDISType    = NULL; }
-#else
-#if H_3D_SINGLE_DEPTH
-    if ( m_singleDepthFlag    ) { delete[] m_singleDepthFlag;   m_singleDepthFlag     = NULL; }
-    if ( m_apSingleDepthValue ) { xFree(m_apSingleDepthValue);  m_apSingleDepthValue  = NULL; }
-#endif
 #endif
     if ( m_pePartSize         ) { delete[] m_pePartSize;        m_pePartSize        = NULL; }
@@ -506,12 +491,7 @@
     TComDataCU * pcFrom = pcPic->getCU(getAddr());
     m_skipFlag[ui]   = pcFrom->getSkipFlag(ui);
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
     m_bDISFlag[ui]   = pcFrom->getDISFlag(ui);
     m_uiDISType[ui]  = pcFrom->getDISType(ui);
-#else
-#if H_3D_SINGLE_DEPTH
-    m_singleDepthFlag[ui]    = pcFrom->getSingleDepthFlag(ui);
-    m_apSingleDepthValue[ui] = pcFrom->getSingleDepthValue(ui);
-#endif
 #endif
     m_pePartSize[ui] = pcFrom->getPartitionSize(ui);
@@ -566,12 +546,7 @@
   {
     memset( m_skipFlag          + firstElement, false,                    numElements * sizeof( *m_skipFlag ) );
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
     memset( m_bDISFlag          + firstElement, false,                    numElements * sizeof( *m_bDISFlag ) );
     memset( m_uiDISType         + firstElement,     0,                    numElements * sizeof( *m_uiDISType) );
-#else
-#if H_3D_SINGLE_DEPTH
-    memset( m_singleDepthFlag     + firstElement, false,                  numElements * sizeof( *m_singleDepthFlag ) );
-    memset( m_apSingleDepthValue  + firstElement,     0,                  numElements * sizeof( *m_apSingleDepthValue ) );
-#endif
 #endif
     memset( m_pePartSize        + firstElement, SIZE_NONE,                numElements * sizeof( *m_pePartSize ) );
@@ -758,12 +733,7 @@
       m_puhTransformSkip[2][ui] = 0;
       m_skipFlag[ui]   = false;
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
       m_bDISFlag[ui]   = false;
       m_uiDISType[ui]  = 0;
-#else
-#if H_3D_SINGLE_DEPTH
-      m_singleDepthFlag[ui]     = false;
-      m_apSingleDepthValue[ui]  = 0;
-#endif
 #endif
       m_pePartSize[ui] = SIZE_NONE;
@@ -891,7 +861,4 @@
   memset( m_puhCbf[2],          0, iSizeInUchar );
   memset( m_puhDepth,     uiDepth, iSizeInUchar );
-#if H_3D_NBDV && !SEC_ARP_REM_ENC_RESTRICT_K0035
-  m_pDvInfo->bDV = false;
-#endif
 #if H_3D_ARP
   memset( m_puhARPW,            0, iSizeInUchar  );
@@ -934,12 +901,7 @@
   {
     m_skipFlag[ui]   = false;
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
     m_bDISFlag[ui]   = false;
     m_uiDISType[ui]  = 0;
-#else
-#if H_3D_SINGLE_DEPTH
-    m_singleDepthFlag[ui]   = false;
-    m_apSingleDepthValue[ui]= 0;
-#endif
 #endif
     m_pePartSize[ui] = SIZE_NONE;
@@ -964,12 +926,7 @@
       m_puhTransformSkip[2][ui] = pcCU->getTransformSkip(uiPartOffset+ui,TEXT_CHROMA_V);
       m_skipFlag[ui]   = pcCU->getSkipFlag(uiPartOffset+ui);
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
       m_bDISFlag[ui]    = pcCU->getDISFlag(uiPartOffset+ui);
       m_uiDISType[ui]   = pcCU->getDISType(uiPartOffset+ui);
-#else
-#if H_3D_SINGLE_DEPTH
-      m_singleDepthFlag[ui]    = pcCU->getSingleDepthFlag(uiPartOffset+ui);
-      m_apSingleDepthValue[ui] = pcCU->getSingleDepthValue(uiPartOffset+ui);
-#endif
 #endif
       m_pePartSize[ui] = pcCU->getPartitionSize(uiPartOffset+ui);
@@ -1118,12 +1075,7 @@
   
   m_skipFlag=pcCU->getSkipFlag()          + uiPart;
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
   m_bDISFlag     = pcCU->getDISFlag()     + uiPart;
   m_uiDISType    = pcCU->getDISType()     + uiPart;
-#else
-#if H_3D_SINGLE_DEPTH
-  m_singleDepthFlag     = pcCU->getSingleDepthFlag()   + uiPart;
-  m_apSingleDepthValue  = pcCU->getSingleDepthValue()  + uiPart;
-#endif
 #endif
   m_phQP=pcCU->getQP()                    + uiPart;
@@ -1260,12 +1212,7 @@
   
   m_skipFlag           = pcCU->getSkipFlag ()             + uiAbsPartIdx;
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
   m_bDISFlag           = pcCU->getDISFlag ()              + uiAbsPartIdx;
   m_uiDISType          = pcCU->getDISType()               + uiAbsPartIdx;
-#else
-#if H_3D_SINGLE_DEPTH
-  m_singleDepthFlag     = pcCU->getSingleDepthFlag ()             + uiAbsPartIdx;
-  m_apSingleDepthValue  = pcCU->getSingleDepthValue ()            + uiAbsPartIdx;
-#endif
 #endif
   m_pePartSize         = pcCU->getPartitionSize ()        + uiAbsPartIdx;
@@ -1340,12 +1287,7 @@
   Int sizeInChar  = sizeof( Char ) * uiNumPartition;
   memcpy( m_skipFlag   + uiOffset, pcCU->getSkipFlag(),       sizeof( *m_skipFlag )   * uiNumPartition );
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
   memcpy( m_bDISFlag   + uiOffset, pcCU->getDISFlag(),       sizeof( *m_bDISFlag )   * uiNumPartition );
   memcpy( m_uiDISType  + uiOffset, pcCU->getDISType(),       sizeof( *m_uiDISType )  * uiNumPartition);
-#else
-#if H_3D_SINGLE_DEPTH
-  memcpy( m_singleDepthFlag     + uiOffset, pcCU->getSingleDepthFlag(),       sizeof( *m_singleDepthFlag )   * uiNumPartition );
-  memcpy( m_apSingleDepthValue  + uiOffset, pcCU->getSingleDepthValue(),      sizeof( *m_apSingleDepthValue ) * uiNumPartition);
-#endif
 #endif
   memcpy( m_phQP       + uiOffset, pcCU->getQP(),             sizeInChar                        );
@@ -1465,12 +1407,7 @@
 
   memcpy( rpcCU->getSkipFlag() + m_uiAbsIdxInLCU, m_skipFlag, sizeof( *m_skipFlag ) * m_uiNumPartition );
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
   memcpy( rpcCU->getDISFlag()  + m_uiAbsIdxInLCU, m_bDISFlag,    sizeof( *m_bDISFlag )  * m_uiNumPartition );
   memcpy( rpcCU->getDISType()  + m_uiAbsIdxInLCU, m_uiDISType,   sizeof( *m_uiDISType ) * m_uiNumPartition );
-#else
-#if H_3D_SINGLE_DEPTH
-  memcpy( rpcCU->getSingleDepthFlag()  + m_uiAbsIdxInLCU, m_singleDepthFlag,    sizeof( *m_singleDepthFlag ) * m_uiNumPartition );
-  memcpy( rpcCU->getSingleDepthValue() + m_uiAbsIdxInLCU, m_apSingleDepthValue, sizeof( *m_apSingleDepthValue ) * m_uiNumPartition);
-#endif
 #endif
   memcpy( rpcCU->getQP() + m_uiAbsIdxInLCU, m_phQP, sizeInChar  );
@@ -1585,12 +1522,7 @@
   Int sizeInChar  = sizeof( Char ) * uiQNumPart;
   memcpy( rpcCU->getSkipFlag()       + uiPartOffset, m_skipFlag,   sizeof( *m_skipFlag )   * uiQNumPart );
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
   memcpy( rpcCU->getDISFlag()  + uiPartOffset, m_bDISFlag,    sizeof( *m_bDISFlag )   * uiQNumPart );
   memcpy( rpcCU->getDISType()  + uiPartOffset, m_uiDISType,   sizeof( *m_uiDISType )  * uiQNumPart );
-#else
-#if H_3D_SINGLE_DEPTH
-  memcpy( rpcCU->getSingleDepthFlag()  + uiPartOffset, m_singleDepthFlag,    sizeof( *m_singleDepthFlag )   * uiQNumPart );
-  memcpy( rpcCU->getSingleDepthValue() + uiPartOffset, m_apSingleDepthValue, sizeof( *m_apSingleDepthValue ) * uiQNumPart);
-#endif
 #endif
   memcpy( rpcCU->getQP() + uiPartOffset, m_phQP, sizeInChar );
@@ -2388,8 +2320,4 @@
     Int iPictureHeight = depthPicYuv->getHeight();
     
-#if !HS_DBBP_CLEAN_K0048
-    Int iWidth  = uiWidth;
-    Int iHeight = uiHeight;
-#endif
     
     Bool depthRefineFlag = false;
@@ -2404,11 +2332,6 @@
     }
     
-#if HS_DBBP_CLEAN_K0048
     Int depthPosX = Clip3(0,   iPictureWidth - 1,  iBlkX + ((cDv.getHor()+2)>>2));
     Int depthPosY = Clip3(0,   iPictureHeight - 1, iBlkY + ((cDv.getVer()+2)>>2));
-#else
-    Int depthPosX = Clip3(0,   iPictureWidth - iWidth,  iBlkX + ((cDv.getHor()+2)>>2));
-    Int depthPosY = Clip3(0,   iPictureHeight- iHeight, iBlkY + ((cDv.getVer()+2)>>2));
-#endif
     
     pDepthPels = depthPicYuv->getLumaAddr() + depthPosX + depthPosY * uiDepthStride;
@@ -2500,6 +2423,5 @@
   memset( m_skipFlag + absPartIdx, skip, m_pcPic->getNumPartInCU() >> ( 2 * depth ) );
 }
-
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
 Void TComDataCU::setDISFlagSubParts( Bool bDIS, UInt absPartIdx, UInt depth )
 {
@@ -2512,17 +2434,4 @@
     setSubPartT( uiDISType, m_uiDISType, uiAbsPartIdx, uiDepth, uiPUIdx );
 }
-#else
-#if H_3D_SINGLE_DEPTH
-Void TComDataCU::setSingleDepthFlagSubParts( Bool singleDepth, UInt absPartIdx, UInt depth )
-{
-  assert( sizeof( *m_singleDepthFlag) == 1 );
-  memset( m_singleDepthFlag + absPartIdx, singleDepth, m_pcPic->getNumPartInCU() >> ( 2 * depth ) );
-}
-
-Void TComDataCU::setSingleDepthValueSubParts(Pel singleDepthValue, UInt uiAbsPartIdx, UInt uiPUIdx, UInt uiDepth )
-{
-  setSubPartT<Pel>( singleDepthValue, m_apSingleDepthValue, uiAbsPartIdx, uiDepth, uiPUIdx );
-}
-#endif
 #endif
 
@@ -4180,7 +4089,4 @@
                   TComMv cMv = cTexMvField.getMv() + cMvRounding;
                   cMv >>=2;          
-#if !(NTT_BUG_FIX_TK54)
-                  this->clipMv( cMv );
-#endif
                   pcMvFieldSP[2*iPartition + uiCurrRefListId].setMvField(cMv, iValidDepRef);
                 }
@@ -4197,14 +4103,4 @@
               }
             }
-#if !SHARP_SUBBLOCK_CLEAN_K0044
-            if (iPUHeight + iPUWidth == 12)
-            {
-              if (puhInterDirSP[iPartition] == 3)
-              {
-                puhInterDirSP[iPartition] = 1;
-                pcMvFieldSP[2*iPartition + 1].setMvField(TComMv(0,0), -1);
-              }
-            }
-#endif
 
             iPartition ++;
@@ -5422,5 +5318,5 @@
 }
 
-#if SONY_MV_V_CONST_C0078
+#if H_MV
 Void TComDataCU::checkMV_V (TComMv&  rcMv,  RefPicList eRefPicList, int iRefIdx )
 {
@@ -5780,28 +5676,15 @@
   }
 
-  if ( bIsCurrRefLongTerm || bIsColRefLongTerm ) // CY: this condition equals to both bIsCurrRefLongTerm and bIsColRefLongTerm being 1
+  if ( bIsCurrRefLongTerm || bIsColRefLongTerm )
   {
 #if H_3D_TMVP
-#if !H_3D_FIX_TMVP_SCALING_VIEW_ID
-    Int iCurrViewId    = m_pcSlice->getViewIndex (); 
-    Int iCurrRefViewId = m_pcSlice->getRefPic(eRefPicList, riRefIdx)->getViewIndex (); 
-    Int iColViewId     = pColCU->getSlice()->getViewIndex(); 
-    Int iColRefViewId  = pColCU->getSlice()->getRefPic( eColRefPicList, pColCU->getCUMvField(eColRefPicList)->getRefIdx(uiAbsPartAddr))->getViewIndex(); 
-#else
     Int iCurrViewId    = m_pcSlice->getViewId (); 
     Int iCurrRefViewId = m_pcSlice->getRefPic(eRefPicList, riRefIdx)->getViewId (); 
     Int iColViewId     = pColCU->getSlice()->getViewId(); 
     Int iColRefViewId  = pColCU->getSlice()->getRefPic( eColRefPicList, pColCU->getCUMvField(eColRefPicList)->getRefIdx(uiAbsPartAddr))->getViewId(); 
-#endif
-#if H_3D_TMVP_SCALING_FIX_K0053
     iScale = 4096;
     if ( iCurrRefViewId != iCurrViewId && iColViewId != iColRefViewId )
-#endif
       iScale = xGetDistScaleFactor( iCurrViewId, iCurrRefViewId, iColViewId, iColRefViewId );
-#if H_3D_TMVP_FIX_TICKET_97 
     if ( bMRG && iScale != 4096 && m_pcSlice->getIvMvScalingFlag( ) ) 
-#else
-    if ( iScale != 4096 && m_pcSlice->getIvMvScalingFlag( ) )
-#endif
     {
       rcMv = cColMv.scaleMv( iScale );
@@ -5815,5 +5698,5 @@
 #endif
   }
-  else // CY: both bIsCurrRefLongTerm and bIsColRefLongTerm are 0
+  else
   {
     iScale = xGetDistScaleFactor(iCurrPOC, iCurrRefPOC, iColPOC, iColRefPOC);
@@ -5980,9 +5863,5 @@
 #endif
 #if H_3D_IV_MERGE
-#if SEC_ARP_REM_ENC_RESTRICT_K0035
 Void TComDataCU::getDispforDepth (UInt uiPartIdx, UInt uiPartAddr, DisInfo* pDisp)
-#else
-Bool TComDataCU::getDispforDepth (UInt uiPartIdx, UInt uiPartAddr, DisInfo* pDisp)
-#endif
 {
 
@@ -6000,18 +5879,11 @@
       pDisp->m_acNBDV = cMv;
       pDisp->m_aVIdxCan = iViewIdx;
-#if !SEC_ARP_REM_ENC_RESTRICT_K0035
-      return true;
-#endif
-  }
-#if !SEC_ARP_REM_ENC_RESTRICT_K0035
-  return false;
-#endif
-}
-#endif
-
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+  }
+}
+#endif
+
+#if H_3D
 Bool TComDataCU::getNeighDepth ( UInt uiPartIdx, UInt uiPartAddr, Pel* pNeighDepth, Int index )
 {
-#if NEIGHBORING_PIX_AVAILABILITY_FIX
   UInt  uiPartIdxLT, uiPartIdxRT;
   this->deriveLeftRightTopIdxAdi( uiPartIdxLT, uiPartIdxRT, 0, 0 );
@@ -6066,72 +5938,6 @@
 
   return bDepAvail;
-#else
-  Bool bDepAvail = false;
-  Pel *pDepth  = this->getPic()->getPicYuvRec()->getLumaAddr();
-  Int iDepStride =  this->getPic()->getPicYuvRec()->getStride();
-
-  Int xP, yP, nPSW, nPSH;
-  this->getPartPosition(uiPartIdx, xP, yP, nPSW, nPSH);
-  UInt PicHeight=this->getPic()->getPicYuvRec()->getHeight();
-  UInt PicWidth=this->getPic()->getPicYuvRec()->getWidth();
-  switch(index)
-  {
-  case 0: // Mid Left
-    if( ( xP != 0 ) && ( ( yP + ( nPSH >> 1 ) ) < PicHeight ) )
-    {
-      *pNeighDepth = pDepth[ (yP+(nPSH>>1)) * iDepStride + (xP-1) ];
-      bDepAvail = true;
-    }
-    break;
-  case 1: // Mid Above
-    if( ( yP != 0 ) && ( ( xP + ( nPSW >> 1 ) ) < PicWidth ) )
-    {
-      *pNeighDepth = pDepth[ (yP-1) * iDepStride + (xP + (nPSW>>1)) ];
-      bDepAvail = true;
-    }
-    break;
-  default:
-    break;
-  }
-  return bDepAvail;
-#endif
-}
-#else
-#if H_3D_SINGLE_DEPTH
-Bool TComDataCU::getNeighDepth (UInt uiPartIdx, UInt uiPartAddr, Pel* pNeighDepth, Int index)
-{
-
-  Bool bDepAvail = false;
-  Pel *pDepth  = this->getPic()->getPicYuvRec()->getLumaAddr();
-  Int iDepStride =  this->getPic()->getPicYuvRec()->getStride();
-
-  Int xP, yP, nPSW, nPSH;
-  this->getPartPosition(uiPartIdx, xP, yP, nPSW, nPSH);
-  UInt PicHeight=this->getPic()->getPicYuvRec()->getHeight();
-  UInt PicWidth=this->getPic()->getPicYuvRec()->getWidth();
-  switch(index)
-  {
-  case 0: // Mid Left
-    if( ( xP != 0 ) && ( ( yP + ( nPSH >> 1 ) ) < PicHeight ) )
-    {
-      *pNeighDepth = pDepth[ (yP+(nPSH>>1)) * iDepStride + (xP-1) ];
-      bDepAvail = true;
-    }
-    break;
-  case 1: // Mid Above
-    if( ( yP != 0 ) && ( ( xP + ( nPSW >> 1 ) ) < PicWidth ) )
-    {
-      *pNeighDepth = pDepth[ (yP-1) * iDepStride + (xP + (nPSW>>1)) ];
-      bDepAvail = true;
-    }
-    break;
-  default:
-      break;
-  }
-  return bDepAvail;
-}
-#endif
-#endif
-
+}
+#endif
 #if H_3D_NBDV 
 //Notes from QC:
@@ -6139,9 +5945,5 @@
 //TBD#2: set of DvMCP values need to be done as part of inter-view motion prediction process. Remove this comment once merge related integration is done
 //To be checked: Parallel Merge features for NBDV, related to DV_DERIVATION_PARALLEL_B0096 and LGE_IVMP_PARALLEL_MERGE_B0136 are not integrated. The need of these features due to the adoption of CU-based NBDV is not clear. We need confirmation on this, especially by proponents
-#if SEC_ARP_REM_ENC_RESTRICT_K0035
 Void TComDataCU::getDisMvpCandNBDV( DisInfo* pDInfo
-#else
-Bool TComDataCU::getDisMvpCandNBDV( DisInfo* pDInfo
-#endif
 #if H_3D_NBDV_REF
 , Bool bDepthRefine
@@ -6151,7 +5953,4 @@
   //// ******* Init variables ******* /////
   // Init disparity struct for results
-#if !SEC_ARP_REM_ENC_RESTRICT_K0035
-  pDInfo->bDV = false;   
-#endif
   pDInfo->m_aVIdxCan = -1;
 
@@ -6217,7 +6016,4 @@
       if( bCheck )
       {
-#if !(NTT_BUG_FIX_TK54)
-        clipMv(cColMv);
-#endif
         pDInfo->m_acNBDV = cColMv;
         pDInfo->m_aVIdxCan  = iTargetViewIdx;
@@ -6239,7 +6035,4 @@
 #else
         picDepth = getSlice()->getIvPic( true, iTargetViewIdx );
-#if !BUG_FIX_TK65
-        assert(picDepth != NULL);
-#endif
 #endif
         if (picDepth && bDepthRefine)
@@ -6248,9 +6041,5 @@
         pDInfo->m_acDoNBDV  = cColMv;
 #endif //H_3D_NBDV_REF
-#if SEC_ARP_REM_ENC_RESTRICT_K0035
         return;
-#else
-        return true;
-#endif
       }
     }
@@ -6269,9 +6058,5 @@
 #endif
     ) )
-#if SEC_ARP_REM_ENC_RESTRICT_K0035
     return;
-#else
-    return true;
-#endif
 
   //// ******* Get disparity from above block ******* /////
@@ -6285,9 +6070,5 @@
 #endif
       ) )
-#if SEC_ARP_REM_ENC_RESTRICT_K0035
       return;
-#else
-      return true;
-#endif
   }
 
@@ -6302,7 +6083,4 @@
         {
           TComMv cDispVec = cIDVInfo.m_acMvCand[iList][ curPos ];
-#if !(NTT_BUG_FIX_TK54)
-          clipMv( cDispVec );
-#endif
           pDInfo->m_acNBDV = cDispVec;
           pDInfo->m_aVIdxCan = cIDVInfo.m_aVIdxCan[iList][ curPos ];
@@ -6324,7 +6102,4 @@
 #else
           TComPic* picDepth = getSlice()->getIvPic( true, pDInfo->m_aVIdxCan );
-#if !BUG_FIX_TK65
-          assert(picDepth!=NULL);
-#endif
 #endif
 
@@ -6335,9 +6110,5 @@
           pDInfo->m_acDoNBDV = cDispVec;
 #endif
-#if SEC_ARP_REM_ENC_RESTRICT_K0035
           return;
-#else
-          return true;
-#endif
         }
       }
@@ -6375,11 +6146,5 @@
       pDInfo->m_acDoNBDV = defaultDV;
 #endif
-#if !SEC_ARP_REM_ENC_RESTRICT_K0035
-      return true;
-#endif
-  }
-#if !SEC_ARP_REM_ENC_RESTRICT_K0035
-  return false; 
-#endif
+  }
 }
 
@@ -6423,7 +6188,4 @@
     Pel iDisp = getMcpFromDM( pcBaseViewDepthPicYuv, cMvPred, iBlkX, iBlkY, iWidth, iHeight, aiShiftLUT );
     cMvPred->setHor( iDisp );
-#if !(NTT_BUG_FIX_TK54)
-    clipMv(*cMvPred);
-#endif
   }
 }
@@ -6451,7 +6213,4 @@
         if (refViewIdx != m_pcSlice->getViewIndex()) 
         {
-#if !(NTT_BUG_FIX_TK54)
-          clipMv(cMvPred);
-#endif
           pNbDvInfo->m_acNBDV = cMvPred;
           pNbDvInfo->m_aVIdxCan = refViewIdx;
@@ -6472,7 +6231,4 @@
 #else
           picDepth   = getSlice()->getIvPic (true, refViewIdx );
-#if !BUG_FIX_TK65
-          assert(picDepth != NULL);
-#endif
 #endif
           UInt uiPartIdx = 0;   //Notes from MTK: Please confirm that using 0 as partition index and partition address is correct for CU-level DoNBDV
@@ -6870,7 +6626,4 @@
 #endif
 #endif
-#if !(NTT_BUG_FIX_TK54)
-                      clipMv( cMv );
-#endif
                       paiPdmRefIdx  [ uiCurrRefListId ] = iPdmRefIdx;
                       pacPdmMv      [ uiCurrRefListId ] = cMv;
@@ -6931,7 +6684,4 @@
                             }
 
-#if !(NTT_BUG_FIX_TK54)
-                            clipMv( cMv );
-#endif
                             bLoop_stop = true;
 
@@ -6954,14 +6704,4 @@
 
               }
-#if !SHARP_SUBBLOCK_CLEAN_K0044
-              if (iSPHeight + iSPWidth == 12)
-              {
-                if (puhInterDirSP[iPartition] == 3)
-                {
-                  puhInterDirSP[iPartition] = 1;
-                  pcMvFieldSP[2*iPartition + 1].setMvField(TComMv(0,0), -1);
-                }
-              }
-#endif
               iPartition ++;
             }
@@ -6996,11 +6736,6 @@
       Int         iBaseAbsPartIdx;
 
-#if SEC_SHIFTED_IVMC_POS_K0036
       Int offsetW = (iLoopCan == 0) ? 0 : ( iWidth  * 2 );
       Int offsetH = (iLoopCan == 0) ? 0 : ( iHeight * 2 );
-#else
-      Int offsetW = (iLoopCan == 0) ? 0 : ( ((iWidth /2)*4) + 4 );
-      Int offsetH = (iLoopCan == 0) ? 0 : ( ((iHeight/2)*4) + 4 );
-#endif
 
       Int         iBasePosX   = Clip3( 0, pcBaseRec->getWidth () - 1, iCurrPosX + ( (cDv.getHor() + offsetW + 2 ) >> 2 ) );
@@ -7048,7 +6783,4 @@
 #endif
 #endif
-#if !(NTT_BUG_FIX_TK54)
-                    clipMv( cMv );
-#endif
                     paiPdmRefIdx  [ (uiCurrRefListId + (iLoopCan<<2)) ] = iPdmRefIdx;
                     pacPdmMv      [ (uiCurrRefListId + (iLoopCan<<2)) ] = cMv;
@@ -7104,7 +6836,4 @@
 #endif
             cMv.setVer( 0 );
-#if !(NTT_BUG_FIX_TK54)
-            clipMv( cMv );
-#endif
             pacPdmMv      [iRefListId + 2 + (iLoopCan<<2)] = cMv;
           }
Index: branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComDataCU.h
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComDataCU.h	(revision 1184)
+++ branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComDataCU.h	(revision 1185)
@@ -110,12 +110,7 @@
   // -------------------------------------------------------------------------------------------------------------------
   Bool*         m_skipFlag;           ///< array of skip flags
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
   Bool*         m_bDISFlag;         
   UInt*         m_uiDISType;
-#else
-#if H_3D_SINGLE_DEPTH
-  Bool*         m_singleDepthFlag;           ///< array of single depth flags
-  Pel*          m_apSingleDepthValue;
-#endif
 #endif
   Char*         m_pePartSize;         ///< array of partition sizes
@@ -350,5 +345,5 @@
   Void         setSkipFlag           ( UInt idx, Bool skip)     { m_skipFlag[idx] = skip;   }
   Void         setSkipFlagSubParts   ( Bool skip, UInt absPartIdx, UInt depth );
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
   Bool*        getDISFlag            ()                         { return m_bDISFlag;          }
   Bool         getDISFlag            ( UInt idx)                { return m_bDISFlag[idx];     }
@@ -360,16 +355,4 @@
   Void         getDISType            ( UInt idx, UInt uiDISType)     { m_uiDISType[idx] = uiDISType;   }
   Void         setDISTypeSubParts    ( UInt uiDISType, UInt uiAbsPartIdx, UInt uiPUIdx, UInt uiDepth );
-#else
-#if H_3D_SINGLE_DEPTH
-  Bool*        getSingleDepthFlag            ()                        { return m_singleDepthFlag;          }
-  Bool         getSingleDepthFlag            (UInt idx)                { return m_singleDepthFlag[idx];     }
-  Void         setSingleDepthFlag           ( UInt idx, Bool singleDepth)     { m_singleDepthFlag[idx] = singleDepth;   }
-  Void         setSingleDepthFlagSubParts   ( Bool singleDepth, UInt absPartIdx, UInt depth );
-
-  Pel*         getSingleDepthValue( ) { return m_apSingleDepthValue; }
-  Pel          getSingleDepthValue            (UInt idx)                { return m_apSingleDepthValue[idx];     }
-  Void         setSingleDepthValue           ( UInt idx, Pel pDepthValue)     { m_apSingleDepthValue[idx] = pDepthValue;   }
-  Void         setSingleDepthValueSubParts   (Pel singleDepthValue, UInt uiAbsPartIdx, UInt uiPUIdx, UInt uiDepth );
-#endif  
 #endif
   Char*         getPredictionMode     ()                        { return m_pePredMode;        }
@@ -506,9 +489,5 @@
   );
   Bool          xGetColDisMV      ( Int currCandPic, RefPicList eRefPicList, Int refidx, Int uiCUAddr, Int uiPartUnitIdx, TComMv& rcMv, Int & iTargetViewIdx, Int & iStartViewIdx );
-#if SEC_ARP_REM_ENC_RESTRICT_K0035
   Void          getDisMvpCandNBDV ( DisInfo* pDInfo
-#else
-  Bool          getDisMvpCandNBDV ( DisInfo* pDInfo
-#endif
 #if H_3D_NBDV_REF
    , Bool bDepthRefine = false
@@ -517,17 +496,8 @@
    
 #if H_3D
-#if SEC_ARP_REM_ENC_RESTRICT_K0035
   Void          getDispforDepth  ( UInt uiPartIdx, UInt uiPartAddr, DisInfo* cDisp);
-#else
-  Bool          getDispforDepth  ( UInt uiPartIdx, UInt uiPartAddr, DisInfo* cDisp);
-#endif
   Bool          getDispMvPredCan(UInt uiPartIdx, RefPicList eRefPicList, Int iRefIdx, Int* paiPdmRefIdx, TComMv* pacPdmMv, DisInfo* pDis, Int* iPdm );
-#endif
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+
    Bool          getNeighDepth (UInt uiPartIdx, UInt uiPartAddr, Pel* pNeighDepth, Int index);
-#else
-#if H_3D_SINGLE_DEPTH
-   Bool          getNeighDepth (UInt uiPartIdx, UInt uiPartAddr, Pel* pNeighDepth, Int index);
-#endif
 #endif
 #if H_3D_NBDV_REF
@@ -625,5 +595,5 @@
   
   Void          clipMv                ( TComMv&     rcMv     );
-#if SONY_MV_V_CONST_C0078
+#if H_MV
   Void          checkMV_V (TComMv&  rcMv,  RefPicList eRefPicList, int iRefIdx );
 #endif
Index: branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComMotionInfo.h
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComMotionInfo.h	(revision 1184)
+++ branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComMotionInfo.h	(revision 1185)
@@ -63,7 +63,4 @@
 typedef struct _DisCand 
 {
-#if !SEC_ARP_REM_ENC_RESTRICT_K0035
-  Bool bDV;
-#endif
   TComMv m_acNBDV;              // DV from NBDV
 #if H_3D_NBDV_REF 
Index: branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComPrediction.cpp
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComPrediction.cpp	(revision 1184)
+++ branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComPrediction.cpp	(revision 1185)
@@ -630,9 +630,5 @@
 
 #if H_3D_DBBP
-#if HS_DBBP_CLEAN_K0048
 PartSize TComPrediction::getPartitionSizeFromDepth(Pel* pDepthPels, UInt uiDepthStride, UInt uiSize, TComDataCU*& pcCU)
-#else
-PartSize TComPrediction::getPartitionSizeFromDepth(Pel* pDepthPels, UInt uiDepthStride, UInt uiSize)
-#endif
 {
   // find virtual partitioning for this CU based on depth block
@@ -643,5 +639,4 @@
   Int iSumDepth = 0;
   Int iSubSample = 4;
-#if HS_DBBP_CLEAN_K0048
   Int iPictureWidth = pcCU->getSlice()->getIvPic (true, pcCU->getDvInfo(0).m_aVIdxCan)->getPicYuvRec()->getWidth();
   Int iPictureHeight = pcCU->getSlice()->getIvPic (true, pcCU->getDvInfo(0).m_aVIdxCan)->getPicYuvRec()->getHeight();
@@ -675,17 +670,4 @@
     if (!(iBlkY+y+4>iPictureHeight))
     pDepthPels += uiDepthStride*iSubSample;
-#else
-  for (Int y=0; y<uiSize; y+=iSubSample)
-  {
-    for (Int x=0; x<uiSize; x+=iSubSample)
-    {
-      Int depthPel = pDepthPels[x];
-      
-      iSumDepth += depthPel;
-    }
-    
-    // next row
-    pDepthPels += uiDepthStride*iSubSample;
-#endif
   }
   
@@ -705,5 +687,4 @@
     for (Int x=0; x<uiSize; x+=iSubSample)
     {
-#if HS_DBBP_CLEAN_K0048
       Int depthPel = 0;
 if (iBlkX+x>iPictureWidth)
@@ -716,7 +697,4 @@
      t=x;
 }
-#else
-      Int depthPel = pDepthPels[x];
-#endif
       
       // decide which segment this pixel belongs to
@@ -747,7 +725,5 @@
     
     // next row
-#if HS_DBBP_CLEAN_K0048
     if (!(iBlkY+y+4>iPictureHeight))
-#endif
     pDepthPels += uiDepthStride*iSubSample;
   }
@@ -773,9 +749,5 @@
 }
 
-#if HS_DBBP_CLEAN_K0048
 Bool TComPrediction::getSegmentMaskFromDepth( Pel* pDepthPels, UInt uiDepthStride, UInt uiWidth, UInt uiHeight, Bool* pMask, TComDataCU*& pcCU)
-#else
-Bool TComPrediction::getSegmentMaskFromDepth( Pel* pDepthPels, UInt uiDepthStride, UInt uiWidth, UInt uiHeight, Bool* pMask )
-#endif
 {
   // segmentation of texture block --> mask IDs
@@ -786,5 +758,4 @@
   Int uiMinDepth = MAX_INT;
   Int uiMaxDepth = 0;
-#if HS_DBBP_CLEAN_K0048
   uiMinDepth = pDepthPels[ 0 ];
   uiMaxDepth = pDepthPels[ 0 ];
@@ -848,20 +819,4 @@
     uiMaxDepth = std::max( uiMaxDepth, (Int)pDepthPels[ uiDepthStride * (uiHeight - 1) + uiWidth - 1 ]);
   }
-#else
-  iSumDepth  = pDepthPels[ 0 ];
-  iSumDepth += pDepthPels[ uiWidth - 1 ];
-  iSumDepth += pDepthPels[ uiDepthStride * (uiHeight - 1) ];
-  iSumDepth += pDepthPels[ uiDepthStride * (uiHeight - 1) + uiWidth - 1 ];
-
-  uiMinDepth = pDepthPels[ 0 ];
-  uiMinDepth = std::min( uiMinDepth, (Int)pDepthPels[ uiWidth - 1 ]);
-  uiMinDepth = std::min( uiMinDepth, (Int)pDepthPels[ uiDepthStride * (uiHeight - 1) ]);
-  uiMinDepth = std::min( uiMinDepth, (Int)pDepthPels[ uiDepthStride * (uiHeight - 1) + uiWidth - 1 ]);
-
-  uiMaxDepth = pDepthPels[ 0 ];
-  uiMaxDepth = std::max( uiMaxDepth, (Int)pDepthPels[ uiWidth - 1 ]);
-  uiMaxDepth = std::max( uiMaxDepth, (Int)pDepthPels[ uiDepthStride * (uiHeight - 1) ]);
-  uiMaxDepth = std::max( uiMaxDepth, (Int)pDepthPels[ uiDepthStride * (uiHeight - 1) + uiWidth - 1 ]);
-#endif
 
   // don't generate mask for blocks with small depth range (encoder decision)
@@ -885,5 +840,4 @@
     for (Int x=0; x<uiHeight; x++)
     {
-#if HS_DBBP_CLEAN_K0048
       Int depthPel = 0;
       if (iBlkX+x>iPictureWidth)
@@ -896,7 +850,4 @@
         t=x;
       }
-#else
-      Int depthPel = pDepthPels[x];
-#endif
 
       // decide which segment this pixel belongs to
@@ -916,7 +867,5 @@
 
     // next row
-#if HS_DBBP_CLEAN_K0048
     if (!(iBlkY+y+1>iPictureHeight))
-#endif
       pDepthPels += uiDepthStride;
     pMask += MAX_CU_SIZE;
@@ -1293,5 +1242,5 @@
   TComMv      cMv         = pcCU->getCUMvField( eRefPicList )->getMv( uiPartAddr );
   pcCU->clipMv(cMv);
-#if SONY_MV_V_CONST_C0078
+#if H_MV
   pcCU->checkMV_V(cMv, eRefPicList, iRefIdx );
 #endif
@@ -1393,28 +1342,11 @@
 #if H_3D_NBDV
   DisInfo cDistparity;
-#if SEC_ARP_REM_ENC_RESTRICT_K0035
   cDistparity.m_acNBDV = pcCU->getDvInfo(0).m_acNBDV;
   cDistparity.m_aVIdxCan = pcCU->getDvInfo(uiPartAddr).m_aVIdxCan;
 #else
-  cDistparity.bDV           = pcCU->getDvInfo(uiPartAddr).bDV;
-  if( cDistparity.bDV )
-  {
-    cDistparity.m_acNBDV = pcCU->getDvInfo(0).m_acNBDV;
-    assert(pcCU->getDvInfo(uiPartAddr).bDV ==  pcCU->getDvInfo(0).bDV);
-    cDistparity.m_aVIdxCan = pcCU->getDvInfo(uiPartAddr).m_aVIdxCan;
-  }
-#endif
-#else
   assert(0); // ARP can be applied only when a DV is available
 #endif
-#if SEC_ARP_REM_ENC_RESTRICT_K0035
   UChar dW = pcCU->getARPW ( uiPartAddr );
-#else
-  UChar dW = cDistparity.bDV ? pcCU->getARPW ( uiPartAddr ) : 0;
-#endif
-
-#if !SEC_ARP_REM_ENC_RESTRICT_K0035
-  if( cDistparity.bDV ) 
-#endif
+
   {
     Int arpRefIdx = pcCU->getSlice()->getFirstTRefIdx(eRefPicList);
@@ -1468,7 +1400,4 @@
       pYuvB0->clear(); pYuvB1->clear();
     }
-#if !SEC_ARP_REM_ENC_RESTRICT_K0035
-    assert ( cDistparity.bDV );
-#endif    
     TComMv cNBDV = cDistparity.m_acNBDV;
     pcCU->clipMv( cNBDV );
Index: branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComPrediction.h
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComPrediction.h	(revision 1184)
+++ branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComPrediction.h	(revision 1185)
@@ -175,11 +175,6 @@
   
 #if H_3D_DBBP
-#if HS_DBBP_CLEAN_K0048
   PartSize      getPartitionSizeFromDepth(Pel* pDepthPels, UInt uiDepthStride, UInt uiSize, TComDataCU*& pcCU);
   Bool          getSegmentMaskFromDepth( Pel* pDepthPels, UInt uiDepthStride, UInt uiWidth, UInt uiHeight, Bool* pMask, TComDataCU*& pcCU);
-#else
-  PartSize      getPartitionSizeFromDepth(Pel* pDepthPels, UInt uiDepthStride, UInt uiSize);
-  Bool          getSegmentMaskFromDepth( Pel* pDepthPels, UInt uiDepthStride, UInt uiWidth, UInt uiHeight, Bool* pMask );
-#endif
   Void          combineSegmentsWithMask( TComYuv* pInYuv[2], TComYuv* pOutYuv, Bool* pMask, UInt uiWidth, UInt uiHeight, UInt uiPartAddr, UInt partSize );
 #endif
